package uk.co.rossbinden.transferencevoid.component

import com.badlogic.ashley.core.Family

val RENDERABLE_FAMILY = Family.all(RenderableComponent::class.java).get()
val BODY_FAMILY = Family.all(BodyComponent::class.java).get()
val SPAWN_FAMILY = Family.all(SpawnComponent::class.java).get()
val PLAYER_FAMILY = Family.all(SocketComponent::class.java, BodyComponent::class.java, DataComponent::class.java).get()
val DATA_FAMILY = Family.all(DataComponent::class.java).get()
val TIMER_FAMILY = Family.all(TimerComponent::class.java).get()
val TERMINAL_FAMILY = Family.all(TimerComponent::class.java, DataComponent::class.java).get()
val GOAL_FAMILY = Family.all(GoalComponent::class.java, DataComponent::class.java).get()